%define pypi_name baycomp

Name:       python-%{pypi_name}
Version:    1.0.3
Release:    %mkrel 3
Summary:    Bayesian tests for comparison of classifiers
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/baycomp
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Baycomp is a library for Bayesian comparison of classifiers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Baycomp is a library for Bayesian comparison of classifiers.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files baycomp tests

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.3-3.mga10
+ Revision: 2242124
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 1.0.3-2.mga10
+ Revision: 2159632
- rebuild for python3.13

* Wed Jan 10 2024 papoteur <papoteur> 1.0.3-1.mga10
+ Revision: 2029536
- new version 1.0.3

* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-6.mga9
+ Revision: 1823977
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.2-5.mga9
+ Revision: 1785750
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.0.2-4.mga9
+ Revision: 1705550
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.0.2-3.mga8
+ Revision: 1608257
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sun Apr 19 2020 guillomovitch <guillomovitch> 1.0.2-1.mga8
+ Revision: 1569823
- imported package python-baycomp

